Summary:	Utilities for managing accounts and shadow password files.
Name:		shadow-utils
Group:		System Environment/Base
License:	BSD
Version:	4.0.7
Release:	3
Epoch:		1
Source0:	ftp://ftp.pld.org.pl/software/shadow/shadow-%{version}.tar.bz2
Source1:	shadow-utils-login.defs-gd-1
Source2:	shadow-970616.useradd
Source3:	adduser.8
Source4:	pwunconv.8
Source5:	grpconv.8
Source6:	grpunconv.8
BuildPrereq:	autoconf, automake, libtool
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

# Patches from Fedora.
Patch100:	shadow-4.0.7-redhat.patch
Patch101:	shadow-4.0.3-noinst.patch
Patch102:	shadow-4.0.3-vipw.patch
Patch103:	shadow-4.0.3-useradd-unlock.patch
Patch104:	shadow-4.0.3-chage-selinux.patch
Patch105:	shadow-4.0.3-goodname.patch
Patch106:	shadow-4.0.3-pl-n_useradd.8.patch
Patch107:	shadow-4.0.3-selinux_context.patch
Patch108:	shadow-4.0.3-lastlog.patch
Patch109:	shadow-4.0.3-maxmem.patch
Patch110:	shadow-4.0.7-gcc4.patch
Patch111:	shadow-4.0.7-newgrp-pwd.patch
Patch112:	shadow-4.0.7-uniqueGroup.patch
Patch113:	shadow-4.0.7-chageList.patch
Patch114:	shadow-utils-4.0.7-selinuxenabled.patch
Patch115:	shadow-4.0.7-nscd-socket-path.patch

%description
The shadow-utils package includes the necessary programs for
converting UNIX password files to the shadow password format, plus
programs for managing user and group accounts. The pwconv command
converts passwords to the shadow password format. The pwunconv command
unconverts shadow passwords and generates an npasswd file (a standard
UNIX password file). The pwck command checks the integrity of password
and shadow files. The lastlog command prints out the last login times
for all users. The useradd, userdel, and usermod commands are used for
managing user accounts. The groupadd, groupdel, and groupmod commands
are used for managing group accounts.

%files -f %{name}.lang
  %defattr(0444,root,root,0555)
  %doc NEWS doc/HOWTO doc/LICENSE README doc/README.linux
  %doc %{_mandir}/*/man?/*
  %doc %{_mandir}/man?/*

  %attr(0750,root,admin)	%dir %{_sysconfdir}/default
  %attr(0644,root,root)		%config %{_sysconfdir}/login.defs
  %attr(0400,root,root)		%config %{_sysconfdir}/default/useradd

  %attr(0511,root,root)		%{_bindir}/*
  %attr(0500,root,root)		%{_sbindir}/*

%prep
%setup -q -n shadow-%{version}
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1

  rm po/*.gmo
  aclocal
  automake -a
  autoconf

%build
  %configure --disable-desrpc \
	--enable-shadowgrp \
	--without-libcrack \
	--with-libcrypt \
	--with-selinux \
	--without-libpam \
	--disable-shared

  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install DESTDIR=$RPM_BUILD_ROOT gnulocaledir=$RPM_BUILD_ROOT/%{_datadir}/locale

  install -d -m 750 $RPM_BUILD_ROOT/etc/default
  install -c -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/login.defs
  install -c -m 0600 %{SOURCE2} $RPM_BUILD_ROOT/etc/default/useradd

  ln -s useradd $RPM_BUILD_ROOT%{_sbindir}/adduser
  install $RPM_SOURCE_DIR/adduser.8   $RPM_BUILD_ROOT%{_mandir}/man8/
  install $RPM_SOURCE_DIR/pwunconv.8  $RPM_BUILD_ROOT%{_mandir}/man8/
  install $RPM_SOURCE_DIR/grpconv.8   $RPM_BUILD_ROOT%{_mandir}/man8/
  install $RPM_SOURCE_DIR/grpunconv.8 $RPM_BUILD_ROOT%{_mandir}/man8/

  # Remove unpackaged files.
  rm $RPM_BUILD_ROOT/%{_bindir}/chfn
  rm $RPM_BUILD_ROOT/%{_bindir}/chsh
  rm $RPM_BUILD_ROOT/%{_bindir}/expiry
  rm $RPM_BUILD_ROOT/%{_bindir}/groups
  rm $RPM_BUILD_ROOT/%{_bindir}/login
  rm $RPM_BUILD_ROOT/%{_bindir}/newgrp
  rm $RPM_BUILD_ROOT/%{_bindir}/passwd
  rm $RPM_BUILD_ROOT/%{_bindir}/sg
  rm $RPM_BUILD_ROOT/%{_bindir}/su
  rm $RPM_BUILD_ROOT/%{_sbindir}/logoutd
  rm $RPM_BUILD_ROOT/%{_sbindir}/vigr
  rm $RPM_BUILD_ROOT/%{_sbindir}/vipw

  rm $RPM_BUILD_ROOT/%{_mandir}/man1/chfn.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/chfn.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man1/chsh.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/chsh.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man1/expiry.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/expiry.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/groups.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man1/login.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/login.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man1/newgrp.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/newgrp.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man1/passwd.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/passwd.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man1/su.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/su.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man5/limits.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/limits.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man5/login.access.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/login.access.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man5/login.defs.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/login.defs.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man5/passwd.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/passwd.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man5/porttime.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/porttime.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man5/suauth.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/suauth.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man8/logoutd.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man8/logoutd.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man8/vipw.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man8/vipw.*
  rm $RPM_BUILD_ROOT/%{_mandir}/man8/vigr.*
  rm $RPM_BUILD_ROOT/%{_mandir}/*/man8/vigr.*

  rm -fr $RPM_BUILD_ROOT/%{_libdir}
  rm -f  $RPM_BUILD_ROOT/%{_mandir}/*/man1/id.1*
  rm -f  $RPM_BUILD_ROOT/%{_mandir}/man1/groups.1*
  rm -f  $RPM_BUILD_ROOT/%{_mandir}/man5/gshadow.5*
  rm -f  $RPM_BUILD_ROOT/%{_mandir}/man8/adduser.8*

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 20 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.0.7, Release 3
  - Build --with-selinux, grr...

* Wed Jul 20 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.0.7, Release 2
  - Add an epoch.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.0.7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
